> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # Detach an action POST https://api.synthflow.ai/v2/actions/detach Content-Type: application/json Reference: https://docs.synthflow.ai/api-reference/platform-api/actions/detach-action ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Body (application/json) This endpoint expects an object. - `model_id` (string, required) — The ID of the agent you want to detach an action from. - `actions` (list of string, optional) — To find an action's ID, go to its page in your Synthflow dashboard. ## Response ### 200 200 - `status` (string, optional) — Whether the request was successful. - `response` (ActionsDetachPostResponsesContentApplicationJsonSchemaResponse, optional) ## Errors ### 400 Bad Request Error 400 ## Types ### ActionsDetachPostResponsesContentApplicationJsonSchemaResponse ## Examples **Request** ```json { "model_id": "1726005822670x239735712159542050", "actions": [ "1725993202345x493030233644494700" ] } ``` **Response** ```json { "status": "success", "response": {} } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/actions/detach" payload = { "model_id": "1726005822670x239735712159542050", "actions": ["1725993202345x493030233644494700"] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/actions/detach" payload := strings.NewReader("{\n \"model_id\": \"1726005822670x239735712159542050\",\n \"actions\": [\n \"1725993202345x493030233644494700\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/actions/detach") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"model_id\": \"1726005822670x239735712159542050\",\n \"actions\": [\n \"1725993202345x493030233644494700\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.synthflow.ai/v2/actions/detach") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"model_id\": \"1726005822670x239735712159542050\",\n \"actions\": [\n \"1725993202345x493030233644494700\"\n ]\n}") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/actions/detach"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"model_id\": \"1726005822670x239735712159542050\",\n \"actions\": [\n \"1725993202345x493030233644494700\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "model_id": "1726005822670x239735712159542050", "actions": ["1725993202345x493030233644494700"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/actions/detach")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```